| Disk ARchive 2.7.18 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
libdar::entrepot_local Class Reference
Private

`#include <entrepot_local.hpp>`

Inherits libdar::entrepot.

## Public Member Functions
| entrepot_local (const std::string &user, const std::string &group, bool x_furtive_mode)
| entrepot_local (const entrepot_local &ref)
| entrepot_local (entrepot_local &&ref) noexcept
entrepot_local & | operator= (const entrepot_local &ref)
entrepot_local & | operator= (entrepot_local &&ref) noexcept
virtual std::string | get_url () const override
| full path of current directory + anything necessary to provide URL formated information
virtual void | read_dir_reset () const override
| routines to read existing files in the current directory (see set_location() / set_root() methods)
virtual bool | read_dir_next (std::string &filename) const override
virtual entrepot * | clone () const override
| generate a clone of "this"
Public Member Functions inherited from libdar::entrepot
| entrepot ()
| constructor
| entrepot (const entrepot &ref)=default
| copy constructor
| entrepot (entrepot &&ref) noexcept=default
| move constructor
entrepot & | operator= (const entrepot &ref)=default
| assignment operator
entrepot & | operator= (entrepot &&ref) noexcept=default
| move operator
virtual | ~entrepot ()=default
| destructor
bool | operator== (const entrepot &ref) const
| says whether two entrepot objects points to the same location
virtual void | set_location (const path &chemin)
| defines the directory where to proceed to future open() – this is a "chdir" semantics
virtual void | set_root (const path &p_root)
| defines the root to use if set_location is given a relative path
virtual path | get_full_path () const
| returns the full path of location
void | set_user_ownership (const std::string &x_user)
| set default ownership for files to be created thanks to the open() methods
void | set_group_ownership (const std::string &x_group)
virtual const path & | get_location () const
virtual const path & | get_root () const
const std::string & | get_user_ownership () const
const std::string & | get_group_ownership () const
fichier_global * | open (const std::shared_ptr< user_interaction > &dialog, const std::string &filename, gf_mode mode, bool force_permission, U_I permission, bool fail_if_exists, bool erase, hash_algo algo, bool provide_a_plain_file=true) const
| defines the way to open a file and return a "class fichier_global" object as last argument upon success
void | unlink (const std::string &filename) const

## Protected Member Functions
virtual fichier_global * | inherited_open (const std::shared_ptr< user_interaction > &dialog, const std::string &filename, gf_mode mode, bool force_permission, U_I permission, bool fail_if_exists, bool erase) const override
virtual void | inherited_unlink (const std::string &filename) const override
virtual void | read_dir_flush () override
Protected Member Functions inherited from libdar::entrepot

## Private Member Functions
void | nullifyptr () noexcept
void | copy_from (const entrepot_local &ref)
void | move_from (entrepot_local &&ref) noexcept
void | detruit ()

## Private Attributes
bool | furtive_mode
etage * | contents

## Detailed Description

implementation for entrepot to access to local filesystem

entrepot_local generates objects of class "fichier_local" inherited class of fichier_global

Definition at line 47 of file entrepot_local.hpp.

## Constructor & Destructor Documentation

## ◆ entrepot_local() [1/2]

libdar::entrepot_local::entrepot_local | ( | const entrepot_local & | ref | ) |
| inline

Definition at line 51 of file entrepot_local.hpp.

## ◆ entrepot_local() [2/2]

libdar::entrepot_local::entrepot_local | ( | entrepot_local && | ref | ) |
| inline noexcept

Definition at line 52 of file entrepot_local.hpp.

## ◆ ~entrepot_local()

libdar::entrepot_local::~entrepot_local | ( |  | ) |
| inline

Definition at line 55 of file entrepot_local.hpp.

## Member Function Documentation

## ◆ clone()

virtual entrepot * libdar::entrepot_local::clone | ( |  | ) | const
| inline override virtual

generate a clone of "this"

Deprecated
  this method will disapear in the future it is only kept there to allow the APIv5 adaptation layer to work over APIv6

Implements libdar::entrepot.

Definition at line 62 of file entrepot_local.hpp.

## ◆ copy_from()

void libdar::entrepot_local::copy_from | ( | const entrepot_local & | ref | ) |
| inline private

Definition at line 81 of file entrepot_local.hpp.

## ◆ detruit()

void libdar::entrepot_local::detruit | ( |  | ) |
| inline private

Definition at line 83 of file entrepot_local.hpp.

## ◆ get_url()

virtual std::string libdar::entrepot_local::get_url | ( |  | ) | const
| inline override virtual

full path of current directory + anything necessary to provide URL formated information

Implements libdar::entrepot.

Definition at line 57 of file entrepot_local.hpp.

References libdar::path::display(), and libdar::entrepot::get_full_path().

## ◆ inherited_open()

virtual fichier_global * libdar::entrepot_local::inherited_open | ( | const std::shared_ptr< user_interaction > & | dialog,
|  | const std::string & | filename,
|  | gf_mode | mode,
|  | bool | force_permission,
|  | U_I | permission,
|  | bool | fail_if_exists,
|  | bool | erase ) const
| override protected virtual

Implements libdar::entrepot.

## ◆ inherited_unlink()

virtual void libdar::entrepot_local::inherited_unlink | ( | const std::string & | filename | ) | const
| override protected virtual

Implements libdar::entrepot.

## ◆ move_from()

void libdar::entrepot_local::move_from | ( | entrepot_local && | ref | ) |
| inline private noexcept

Definition at line 82 of file entrepot_local.hpp.

## ◆ nullifyptr()

void libdar::entrepot_local::nullifyptr | ( |  | ) |
| inline private noexcept

Definition at line 80 of file entrepot_local.hpp.

## ◆ operator=()

entrepot_local & libdar::entrepot_local::operator= | ( | entrepot_local && | ref | ) |
| inline noexcept

Definition at line 54 of file entrepot_local.hpp.

## ◆ read_dir_flush()

virtual void libdar::entrepot_local::read_dir_flush | ( |  | ) |
| inline override protected virtual

Implements libdar::entrepot.

Definition at line 74 of file entrepot_local.hpp.

## ◆ read_dir_next()

virtual bool libdar::entrepot_local::read_dir_next | ( | std::string & | filename | ) | const
| override virtual

Implements libdar::entrepot.

## ◆ read_dir_reset()

virtual void libdar::entrepot_local::read_dir_reset | ( |  | ) | const
| override virtual

routines to read existing files in the current directory (see set_location() / set_root() methods)

Implements libdar::entrepot.

## Member Data Documentation

## ◆ contents

etage* libdar::entrepot_local::contents
| private

Definition at line 78 of file entrepot_local.hpp.

## ◆ furtive_mode

bool libdar::entrepot_local::furtive_mode
| private

Definition at line 77 of file entrepot_local.hpp.

The documentation for this class was generated from the following file:

- entrepot_local.hpp